import { warn, _decorator } from "cc";
import UIManager from "./UIManager";

const {ccclass, property} = _decorator;
/***
 * 独立窗体, 独立控制, 不受其他窗体控制, 非单例
 * 
 * 这里专门用于处理  提示类窗体, 例如断线提示, 加载过场等
 */
@ccclass("TipsMgr")
export default class TipsMgr{
    private static _instance: TipsMgr = null;                     // 单例
    static get inst() {
        if(this._instance == null) {
            this._instance = new TipsMgr();
        }
        return this._instance;
    }
    private loadingFormName: string;
    /** 设置加载页面 */
    public setLoadingForm(loadingName: string) {
        this.loadingFormName = loadingName;
    }
    public async showLoadingForm() {
        // if(!this.loadingFormName || this.loadingFormName.length <= 0) {
        //     // warn('please set the loading form');
        //     return ;
        // }
        // await UIManager.getInstance().openForm(this.loadingFormName);
    }
    /** 隐藏加载form */
    public async hideLoadingForm() {
        // await UIManager.getInstance().closeForm(this.loadingFormName);
    }

}
